=== debian/control ===
Source: ros-humble-controller-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-hardware-interface, ros-humble-rclcpp-lifecycle, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-hardware-interface, ros-humble-rclcpp-lifecycle, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Description of controller_interface
