## ros-humble-controller-interface 2.43.1

=== debian/changelog ===
ros-humble-controller-interface (2.43.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-controller-interface (2.43.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-controller-interface (2.42.0-1bookworm) bookworm; urgency=high

  * [ControllerInterface] Avoid warning about conversion from int64_t to unsigned int (backport #1173 <https://github.com/ros-controls/ros2_control/issues/1173>) (#1631 <https://github.com/ros-controls/ros2_control/issues/1631>)
  * Fix dependencies for source build (#1533 <https://github.com/ros-controls/ros2_control/issues/1533>) (#1535 <https://github.com/ros-controls/ros2_control/issues/1535>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000
